<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: add.php3,v 1.6 2001/05/16 05:25:12 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: add.php3,v 1.6 2001/05/16 05:25:12 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname,$db);
?>
<font size="+1"><b><u>Add</u><br />
<i>No abbreviations, please!</i></b></font><br />
<form method="POST" action="add2.php3">
<table border="0" cellpadding="0" cellspacing="8"><tr>
<td colspan="2"><b><u>Name</u></b></td>
</tr><tr>
<td colspan="2"></td><td>First:</td><td><?php text_input('fname', 0, 100) ?></td>
</tr><tr>
<td colspan="2"></td><td>Middle/Maiden:</td><td><?php text_input('mname', 0, 100) ?></td>
</tr><tr>
<td colspan="2"></td><td>Last:</td><td><?php text_input('lname', 0, 100) ?></td>
</tr><tr>
<td colspan="2"></td><td>Nickname:</td><td><?php text_input('nname', 0, 100) ?></td>
</tr><tr>
<td colspan="5"><b><u>Graduation from <?php echo $areadesc ?></u></b></td>
</tr><tr>
<td colspan="2"></td><td>School:</td><td><?php
if ($userschools == 1 && isset($schoolid) && strlen(trim($longname)) != 0) {
  echo $longname;
  hidden_input('school', $schoolid);
} else {
  school_select($db, 'school');

  if($userschools == 1) {
    echo '<td><a href="addschool.php3">Add Your School (if it\'s not in the list)</a></td>';
  }
}
?></td>
</tr><tr>
<td colspan="2"></td><td>Year:</td><td><?php text_input('year', 5, 4) ?></td>
<td><i>4 digits</i></td>
</tr><tr>
<td colspan="5"><b><u>Information</u> (<i>Check the ones you wish to make publicly available</i>)</b></td>
</tr><tr>
<td></td><td><?php checkbox_input('c1', 1) ?></td><td>E-Mail:</td>
<td><?php text_input('email', 0, 100) ?></td>
</tr><tr>
<td></td><td><?php checkbox_input('c2', 1) ?></td><td>Occupation:</td>
<td><?php occtype_select($db, 'occtype') ?></td>
</tr><tr>
<td colspan="2"></td><td align=center><i>Where?</i></td>
<td><?php text_input('occwhere', 0, 200) ?></td>
</tr><tr>
<td colspan="2"></td><td align=center><i>What?</i></td>
<td><?php text_input('occwhat', 0, 200) ?></td>
</tr><tr>
<td></td><td><?php checkbox_input('c3') ?></td><td>Address:</td>
<td><?php text_input('ad1', 0, 200) ?></td>
</tr><tr>
<td colspan="3"></td>
<td><?php text_input('ad2', 0, 200) ?></td>
</tr><tr>
<td></td><td><?php checkbox_input('c4') ?></td><td>Phone:</td>
<td><?php text_input('phone', 0, 30) ?></td>
<td><i>###-###-####</i></td>
</tr><tr>
<td><b><u>Security</u></b></td>
</tr><tr>
<td colspan="2"></td><td colspan="5"><i>Enter your password.</i></td>
</tr><tr>
<td colspan="2"></td><td>Security:</td>
<td><?php text_input('secure', 0, 100) ?></td>
<td><i>CaSe-SeNSiTiVE</i></td>
</tr></table>
<p><i>The security measure above will prevent others from changing your information.  However, it allows you to change or remove your own information.</i></p>
<br /><input type="submit" value="Add me!">
</form>
<?php page_footer('Main Alumni Database Page') ?>
