<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: addschool2.php3,v 1.5 2001/05/18 03:28:18 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: addschool2.php3,v 1.5 2001/05/18 03:28:18 wakefield Exp $');

if ($userschools != 1) {
  echo '<font color="red"><b>This script has been disabled by the <a href="'.$webmaster.'">webmaster</a>.</b></font><br />';
} else {
$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);
?>
<font size="+1"><b><u>Add Your School</u></b></font><br />
<?php

$error = 0;

if((strlen(trim($longname)) == 0)) {
  echo '<font color="red"><b>You must enter your school\'s name</b></font><br />';
  $error = 1;
}

if(strlen(trim($abbrev)) == 0) {
  echo '<font color="red"><b>You must enter an abbreviation for your school.</b></font><br />';
  $error = 1;
}

if($error == 1) {
  echo '<br /><font size="+1"><b>School NOT added!</b></font>';
  echo '<br />Hit the back button and fix the above errors.<br />';
} else {

  $qs = 'SELECT COUNT(*) FROM Schools WHERE ' .
    "(LongName LIKE '" . addslashes(trim($longname)) . "')".
    ' AND (Approved=1)';
  $result = mysql_query($qs, $db);
  list($num) = mysql_fetch_row($result);

  if($num != 0) {
    echo '<br /><font size="+1">An school with that name is already in the database.<br />';
    echo 'Please select it from the drop-down list on the Add page.<br />';
    echo '</font>'."\n";
  } else {

    $qs = 'INSERT INTO Schools (LongName, Abbreviation) VALUES (' .
      "'" . addslashes(trim($longname)) . "'," .
      "'" . addslashes(trim($abbrev)) . "')";

    if(!mysql_query($qs, $db))
      echo '<font color="red"><b>Error executing query.</b></font><br />';

    $result = mysql_query('SELECT LAST_INSERT_ID()', $db);
    list($schoolid) = mysql_fetch_row($result);

    $qs = "INSERT INTO SchoolLog (Action, SchoolID, TimeStamp) VALUES ('ADD',".$schoolid.", NOW())";
    if(!mysql_query($qs, $db))
      echo '<font color="red"><b>Error executing logging query.</b></font><br />';
?><br /><b><font size="+1">School added.</font><br />
It should be approved and appear on the search and add screens for everyone within a week.</b><br />
You may add yourself to the database using this school by clicking on the button below.<br />
<form method="post" action="add.php3">
<?php hidden_input('schoolid', $schoolid) ?>
<?php hidden_input('longname', $longname) ?>
<input type="submit" value="Add Me!">
</form>
<?php
  }
}

}

page_footer('Main Alumni Database Page');
?>
