<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: edit.php3,v 1.6 2001/05/18 03:28:18 wakefield Exp $
 */

require('../config.php3');
require('../alumni.php3');

page_header('$Id: edit.php3,v 1.6 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);

?>
<font size="+1"><b><u>Edit Entry</u></b></font><br />
<i>Note:  Don't change anything major without checking with the user first.<br />
The public/not public checkboxes cannot be modified.</i><br />
<?php

$query_string = 'SELECT * FROM Alumni WHERE AlumID=' . intval($id);

$result = mysql_query($query_string, $db);

if($myrow = mysql_fetch_array($result)) {
?>
<form method="POST" action="update.php3">
<table border="0" cellpadding="0" cellspacing="8"><tr>
<td colspan="5"><b><u>Approval Status</u></b></td>
</tr><tr>
<td></td>
<td colspan="3"><?php approve_select('approve', $myrow['Approved']) ?></td>
</tr><tr>
<td colspan="2"><b><u>Name</u></b></td>
</tr><tr>
<td colspan="2"></td><td>First:</td>
<td><?php text_input('fname', 0, 100, $myrow['Name_First']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Middle/Maiden:</td>
<td><?php text_input('mname', 0, 100, $myrow['Name_Middle']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Last:</td>
<td><?php text_input('lname', 0, 100, $myrow['Name_Last']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Nickname:</td>
<td><?php text_input('nname', 0, 100, $myrow['Name_Nick']) ?></td>
</tr><tr>
<td colspan="5"><b><u>Graduation from <?php echo $areadesc ?></u></b></td>
</tr><tr>
<td colspan="2"></td><td>School:</td>
<td><?php school_select($db, 'school', -1, 0) ?></td>
</tr><tr>
<td colspan="2"></td><td>Year:</td>
<td><?php text_input('year', 5, 4, $myrow['Year']) ?></td>
<td><i>4 digits</i></td>
</tr><tr>
<td colspan="5"><b><u>Information</u> (<i>The checked items are publicly available</i>)</b></td>
</tr><tr>
<td></td>
<td><?php checkbox_input('chkemail', $myrow['Public_EMail']) ?></td>
<td>E-Mail:</td>
<td><?php text_input('email', 0, 100, $myrow['EMail']) ?></td>
</tr><tr>
<td></td>
<td><?php checkbox_input('chkocc', $myrow['Public_Occupation']) ?></td>
<td>Occupation:</td>
<td><?php occtype_select($db, 'occtype') ?></td>
</tr><tr>
<td colspan="2"></td><td align="center"><i>Where?</i></td>
<td><?php text_input('occwhere', 0, 200, $myrow['Occupation_Where']) ?></td>
</tr><tr>
<td colspan="2"></td><td align="center"><i>What?</i></td>
<td><?php text_input('occwhat', 0, 200, $myrow['Occupation_What']) ?></td>
</tr><tr>
<td></td>
<td><?php checkbox_input('chkadd', $myrow['Public_Address']) ?></td>
<td>Address:</td>
<td><?php text_input('ad1', 0, 200, $myrow['Address_1']) ?></td>
</tr><tr>
<td colspan="3"></td>
<td><?php text_input('ad2', 0, 200, $myrow['Address_2']) ?></td>
</tr><tr>
<td></td>
<td><?php checkbox_input('chkphone', $myrow['Public_Phone']) ?></td>
<td>Phone:</td>
<td><?php text_input('phone', 0, 30, $myrow['Phone']) ?></td>
<td><i>###-###-####</i></td>
</tr></table>
<br /><br />
<?php hidden_input('id', intval($id)) ?>
<input type="submit" value="Modify">
</form>
<form method="POST" action="delete.php3">
<?php hidden_input('id', intval($id)) ?>
<input type="submit" value="Delete This Entry!">
</form>
<?php
} else
  echo '<br /><b>Entry not found.</b><br />'."\n";
?>
<br /><hr /><br /><a href="view.php3?id=<?php echo intval($id)?>">Back to <b>View Entry</b></a>
<?php page_footer('Database Administration') ?>
