<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: view.php3,v 1.6 2001/05/18 03:28:18 wakefield Exp $
 */

require('../config.php3');
require('../alumni.php3');

page_header('$Id: view.php3,v 1.6 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);

?>
<font size="+1"><b><u>View Entry</u></b></font><br />
<?php

$query_string = 'SELECT Alumni.*, LongName, Occupations.ShortName FROM Alumni LEFT JOIN Schools ON SchoolID = School LEFT JOIN Occupations ON OccupationID = Occupation WHERE AlumID=' . intval($id);

$result = mysql_query($query_string,$db);

if ($myrow = mysql_fetch_array($result)) {
  echo '<table border="1" width="95%"><tr>'."\n";
  echo '<td><b>'.htmlspecialchars($myrow['Name_Last']).', ';
  echo htmlspecialchars($myrow['Name_First']).'</b></td>'."\n";
  echo '<td>'.htmlspecialchars($myrow['Name_Middle']).'</td>'."\n";
  echo '<td>A.K.A. '.htmlspecialchars($myrow['Name_Nick']).'</td>'."\n";
  echo '</tr><tr>';
  echo '<td colspan="2"><b>School:</b> '.htmlspecialchars($myrow['LongName']);
  echo "</td>\n<td><b>Year:</b> ".$myrow['Year']."</td>\n";
  echo "</tr></table>\n".'<table border="1" width="95%">'."\n";

  echo '<tr><td><b>E-mail:</b></td>';
  if(!$myrow['Public_EMail'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.htmlspecialchars($myrow['EMail']).'</td></tr>'."\n";

  echo '<tr><td><b>Occupation:</b></td>';
  if(!$myrow['Public_Occupation'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.$myrow['ShortName'].'</td></tr>'."\n";

  echo '<tr><td><b>Where (Occ)</b></td>';
  if(!$myrow['Public_Occupation'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.htmlspecialchars($myrow['Occupation_Where']).'</td></tr>'."\n";

  echo '<tr><td><b>What (Occ)</b></td>';
  if(!$myrow['Public_Occupation'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.htmlspecialchars($myrow['Occupation_What']).'</td></tr>'."\n";

  echo '<tr><td><b>Address (#1)</b></td>';
  if(!$myrow['Public_Address'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.htmlspecialchars($myrow['Address_1']).'</td></tr>'."\n";

  echo '<tr><td><b>Address (#2)</b></td>';
  if(!$myrow['Public_Address'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.htmlspecialchars($myrow['Address_2']).'</td></tr>'."\n";

  echo '<tr><td><b>Phone</b></td>';
  if(!$myrow['Public_Phone'])
    echo '<td><i>Private</i></td>';
  else
    echo '<td>&nbsp;</td>';
  echo '<td>'.htmlspecialchars($myrow['Phone']).'</td></tr>'."\n";

  echo '<tr><td><b>Approval Status</b></td>';
  echo '<td>N/A</td><td>';
  approve_print($myrow['Approved']);
  echo '</td></tr>'."\n";
?>	
</table><br />
<form method="GET" action="edit.php3">
<input type="hidden" name="id" value="<?php echo intval($id) ?>">
<input type="submit" value="Edit Above Entry"></form>
<br />
<form method="GET" action="getpass.php3">
<input type="hidden" name="id" value="<?php echo intval($id) ?>">
<input type="submit" value="Get Password"></form>
<?php
} else
  echo '<br /><b>Entry not found.</b><br />'."\n";

page_footer('Database Administration');
?>
