<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: find.php3,v 1.8 2001/05/16 06:08:23 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: find.php3,v 1.8 2001/05/16 06:08:23 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);
?>
<font size="+1"><b><u>Find</u></b></font><br />
<form method="POST" action="find2.php3">
<table border="0" cellpadding="0" cellspacing="8"><tr>
<td></td>
<td><i>Criteria</i></td>
<td><i>Search for / in:</i></td>
<td colspan="2"><i>Display in output (if publicly available)</i></td>
</tr><tr>
<td><?php checkbox_input('chkname', 1) ?></td><td>Name:</td>
<td><?php text_input('srchname', 0, 0) ?></td>
<td><?php checkbox_input('dispname', 1) ?>Name</td>
<td><?php checkbox_input('dispyear', 1) ?>School / Year</td>
</tr><tr>
<td><?php checkbox_input('chkschool') ?></td><td>School:</td>
<td><?php school_select($db, 'school') ?></td>
<td><?php checkbox_input('dispemail', 1) ?>E-mail</td>
<td><?php checkbox_input('dispocc', 1) ?>Occupation</td>
</tr><tr>
<td><?php checkbox_input('chkyear') ?></td><td>Year Graduated:</td>
<td><?php text_input('srchyear', 0, 0) ?></td>
<td><?php checkbox_input('dispwhere', 1) ?>Where (Occ.)</td>
<td><?php checkbox_input('dispwhat', 1) ?>What (Occ.)</td>
</tr><tr>
<td><?php checkbox_input('chkocc') ?></td><td>Occupation:</td>
<td><?php occtype_select($db, 'occtype') ?></td>
<td><?php checkbox_input('dispadd') ?>Address</td>
<td><?php checkbox_input('dispphone') ?>Phone</td>
</tr><tr>
<td><?php checkbox_input('chkwhere') ?></td>
<td align="center"><i>Where?</i></td>
<td><?php text_input('srchwhere', 0, 0) ?></td>
<td colspan="2"><i>Use the above to limit output (recommended).</i></td>
</tr><tr>
<td><?php checkbox_input('chkwhat') ?></td>
<td align="center"><i>What?</i></td>
<td><?php text_input('srchwhat', 0, 0) ?></td>
<td colspan="2"><i>Usually phone and address info is not public.</i></td>
</tr><tr>
<td colspan="2"><?php hidden_input('startresults', 0) ?>
<?php hidden_input('numtotalresults', 0) ?>
<input type="submit" value="Search"></td>
<td colspan="3"><font size="-1">Show first <?php limitresults('numresults') ?>
results.</font></td>
</tr></table>
</form>
<?php page_footer('Main Alumni Database Page') ?>
