<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: modify2.php3,v 1.8 2001/05/18 03:28:18 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: modify2.php3,v 1.8 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname,$db);
?>
<font size="+1"><b><u>Modify Step 2 -- Modify Your Entry</u></b></font><br />
<?php

$error = 0;

if((strlen(trim($lname)) == 0) || (strlen(trim($fname)) == 0)) {
  echo '<font color="red"><b>You must enter your first and last names.</b></font><br />';
  $error = 1;
}

if(intval($year) < 1900) {
  echo '<font color="red"><b>Please enter a 4-digit year.</b></font><br />';
  $error = 1;
}

if(strlen(trim($secure)) == 0) {
  echo '<font color="red"><b>You must enter your password.</b></font><br />';
  $error = 1;
}

if($error == 1) {
  echo '<br />Hit the back button and fix the above errors.<br />';
} else {

  $qsbase = "(Name_Last='" . addslashes(trim($lname)) . "') AND " .
    "(Name_First='" . addslashes(trim($fname)) . "') AND " .
    '(School=' . intval($school) . ') AND ' .
    '(Year=' . intval($year) . ') AND' .
    "(Password='" . addslashes(trim($secure)) . "')";
  $qs = 'SELECT COUNT(*) FROM Alumni WHERE (Approved<>3) AND ' . $qsbase;
  $result = mysql_query($qs, $db);
  list($num) = mysql_fetch_row($result);

  if($num == 0) {
    echo '<br /><font size="+1">An entry with those criteria does not exist.<br />';
    echo 'Please check your spelling and your password.<br />';
    echo 'If you continue to have problems, please contact the <a href="'.$webmaster.'">WebMaster</a>.<br />';
  } else if ($num > 1) {
    echo '<br /><font size="+1">Too many entries found.  Please narrow your search.<br />';
    echo 'Please check your spelling and your password.<br />';
    echo 'If you continue to have problems, please contact the <a href="'.$webmaster.'">WebMaster</a>.<br />';
  } else {
    $qs = 'SELECT * FROM Alumni WHERE (Approved<>3) AND ' . $qsbase;
    $result = mysql_query($qs, $db);
    $info = mysql_fetch_array($result);
?>
<i>No abbreviations, please!</i></b></font><br />
<form method="POST" action="modify3.php3">
<table border="0" cellpadding="0" cellspacing="8"><tr>
<td colspan="2"><b><u>Name</u></b></td>
</tr><tr>
<td colspan="2"></td><td>First:</td><td><?php text_input('fname', 0, 100, $info['Name_First']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Middle/Maiden:</td><td><?php text_input('mname', 0, 100, $info['Name_Middle']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Last:</td><td><?php text_input('lname', 0, 100, $info['Name_Last']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Nickname:</td><td><?php text_input('nname', 0, 100, $info['Name_Nick']) ?></td>
</tr><tr>
<td colspan="5"><b><u>Graduation from <?php echo $areadesc ?></u></b></td>
</tr><tr>
<td colspan="2"></td><td>School:</td><td><?php school_select($db, 'school', $info['School']) ?></td>
</tr><tr>
<td colspan="2"></td><td>Year:</td><td><?php text_input('year', 5, 4, $info['Year']) ?></td>
<td><i>4 digits</i></td>
</tr><tr>
<td colspan="5"><b><u>Information</u> (<i>Check the ones you wish to make publicly available</i>)</b></td>
</tr><tr>
<td></td><td><?php checkbox_input('c1', $info['Public_EMail']) ?></td><td>E-Mail:</td>
<td><?php text_input('email', 0, 100, $info['EMail']) ?></td>
</tr><tr>
<td></td><td><?php checkbox_input('c2', $info['Public_Occupation']) ?></td><td>Occupation:</td>
<td><?php occtype_select($db, 'occtype', $info['Occupation']) ?></td>
</tr><tr>
<td colspan="2"></td><td align="center"><i>Where?</i></td>
<td><?php text_input('occwhere', 0, 200, $info['Occupation_Where']) ?></td>
</tr><tr>
<td colspan="2"></td><td align="center"><i>What?</i></td>
<td><?php text_input('occwhat', 0, 200, $info['Occupation_What']) ?></td>
</tr><tr>
<td></td><td><?php checkbox_input('c3', $info['Public_Address']) ?></td><td>Address:</td>
<td><?php text_input('ad1', 0, 200, $info['Address_1']) ?></td>
</tr><tr>
<td colspan="3"></td>
<td><?php text_input('ad2', 0, 200, $info['Address_2']) ?></td>
</tr><tr>
<td></td><td><?php checkbox_input('c4', $info['Public_Phone']) ?></td><td>Phone:</td>
<td><?php text_input('phone', 0, 30, $info['Phone']) ?></td>
<td><i>###-###-####</i></td>
</tr><tr>
<td><b><u>Security</u></b></td>
</tr><tr>
<td colspan="2"></td><td colspan="5"><i>Enter your password.</i></td>
</tr><tr>
<td colspan="2"></td><td>Security:</td>
<td><?php text_input('newsecure', 0, 100, $info['Password']) ?></td>
<td><i>CaSe-SeNSiTiVE</i></td>
</tr></table>
<br /><br />
<?php
hidden_input('index', $info['AlumID']);
hidden_input('secure', $info['Password']);
?>
<input type="submit" value="Modify">
</form>
<form method="POST" action="delete.php3">
<?php
hidden_input('index', $info['AlumID']);
hidden_input('secure', $info['Password']);
?>
<input type="submit" value="Delete My Entry!">
</form>
<?php
  }
}

page_footer('Main Alumni Database Page');
?>
